#include <bits/stdc++.h>
using namespace std;
int N,M,X,Y,suma,suma1;
int main(){
    cin>>N>>M;
    suma=0;
    suma1=0;

    int nizA[N+5];
    int niz [N+5];

    for(int i=0;i<N;i++){
        cin>>nizA[i];
    }

    for(int p=0;p<N+2;p++){
        niz[p]=0;
    }
    for(int j=0;j<M;j++){
        cin>>X>>Y;
        niz[X]++;
        niz[Y]++;
    }

       for(int k=1;k<=N;k++){
            suma=suma+nizA[k-1]*niz[k];

    }

    for(int k=1;k<=N;k++){
            suma1=suma1+nizA[k-1]*niz[k]*(-1);

    }

    cout<<max(suma,suma1)<<endl;

return 0;
}